---
title: "Contrato histórico: POST update-offer-1 | Documentación de Ordering.co"
description: "Contrato histórico de la API de Ordering.co para POST /offers/{offer_id}, conservado como referencia. Para nuevas integraciones, usa la referencia actual."
canonical: https://docs.ordering.co/es/api-reference/guides/history/update-offer-1/
---

# Contrato histórico: POST update-offer-1

[]()

> **Contrato histórico de API.** Esta página describe un contrato anterior. Los métodos, las rutas y las respuestas pueden diferir de la API vigente.

## Significado histórico

Actualizar oferta

## API vigente

Para desarrollar una integración nueva, consulta la referencia o guía vigente enlazada.

[Ver la referencia de la API vigente](https://docs.ordering.co/es/api-reference/#tag/offers/POST/offers/%7Boffer_id%7D)

## Parámetros

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "offer_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  }
]
```

## Cuerpo de solicitud

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "discount_type",
          "target",
          "stackable",
          "auto",
          "public"
        ],
        "properties": {
          "description": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "rank": {
            "type": "integer",
            "format": "int32"
          },
          "max_discount": {
            "type": "integer",
            "format": "int32"
          },
          "discount_type": {
            "type": "integer",
            "default": null,
            "format": "int32"
          },
          "target": {
            "type": "integer",
            "default": null,
            "format": "int32"
          },
          "stackable": {
            "type": "boolean"
          },
          "auto": {
            "type": "boolean"
          },
          "public": {
            "type": "boolean"
          },
          "order_priority": {
            "type": "integer",
            "format": "int32"
          },
          "limit_per_user": {
            "type": "integer",
            "format": "int32"
          },
          "user_order_count": {
            "type": "integer",
            "format": "int32"
          },
          "user_order_count_condition": {
            "type": "string",
            "default": "<redacted-personal>"
          },
          "valid_form_after_user_last_order_minutes": {
            "type": "integer",
            "format": "int32"
          },
          "valid_until_after_user_last_order_minutes": {
            "type": "integer",
            "format": "int32"
          },
          "products": {
            "properties": {
              "*": {
                "properties": {
                  "id": {
                    "type": "integer",
                    "format": "int32"
                  },
                  "is_condition": {
                    "type": "boolean"
                  }
                },
                "required": [
                  "id",
                  "is_condition"
                ],
                "type": "object"
              }
            },
            "required": [],
            "type": "object"
          },
          "categories": {
            "properties": {
              "*": {
                "properties": {
                  "id": {
                    "type": "integer",
                    "format": "int32"
                  },
                  "is_condition": {
                    "type": "boolean"
                  }
                },
                "required": [
                  "id",
                  "is_condition"
                ],
                "type": "object"
              }
            },
            "required": [],
            "type": "object"
          },
          "users": {
            "properties": {
              "*": {
                "type": "integer",
                "format": "int32"
              }
            },
            "required": [],
            "type": "object"
          },
          "sites": {
            "type": "integer",
            "format": "int32"
          },
          "delivery_zones": {
            "properties": {
              "*": {
                "type": "integer",
                "format": "int32"
              }
            },
            "required": [],
            "type": "object"
          },
          "paymethods": {
            "properties": {
              "*": {
                "type": "integer",
                "format": "int32"
              }
            },
            "required": [],
            "type": "object"
          },
          "order_types_allowed": {
            "properties": {
              "*": {
                "type": "integer",
                "format": "int32"
              }
            },
            "required": [],
            "type": "object"
          }
        }
      }
    }
  }
}
```

## Respuestas

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
